package com.ywt.mg.params.natOrder;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

public class NatOrderListRequest implements Serializable {

    @ApiModelProperty(value = "缴费码")
    private String paymentCode;

    @ApiModelProperty(value = "患者姓名")
    private String patientName;

    @ApiModelProperty(value = "身份证号")
    private String idCard;

    @ApiModelProperty(value = "手机号")
    private String mobile;

    @ApiModelProperty(value = "订单号")
    private String orderNo;

    @ApiModelProperty(value = "疫苗码")
    private String vaccineCode;

    @ApiModelProperty(value = "支付状态：0-待支付，1-支付处理中，2-支付成功，3-支付失败")
    private String paymentStatus;

    @ApiModelProperty(value = "订单状态，位运算：1-未支付；2-已支付/待检测；4-已完成；8-已取消；16-已退款")
    private String orderStatus;

    @ApiModelProperty(value = "支付时间查询开始时间")
    private String paymentStartTime;

    @ApiModelProperty(value = "支付时间查询截止时间")
    private String paymentEndTime;

    @ApiModelProperty(value = "退款时间查询开始时间")
    private String refundStartTime;

    @ApiModelProperty(value = "退款时间查询截止时间")
    private String refundEndTime;

    @ApiModelProperty(value = "执行时间查询开始时间")
    private String confirmStartTime;

    @ApiModelProperty(value = "执行时间查询截止时间")
    private String confirmEndTime;

    @ApiModelProperty(value = "医院ID")
    private int hospitalId;

    @ApiModelProperty(value = "交易流水号")
    private String transactionId;

    @ApiModelProperty(value = "对账时间查询开始时间")
    private String billStartTime;

    @ApiModelProperty(value = "对账时间查询截止时间")
    private String billEndTime;


    public String getPaymentCode() {
        return paymentCode;
    }

    public void setPaymentCode(String paymentCode) {
        this.paymentCode = paymentCode;
    }

    public String getPatientName() {
        return patientName;
    }

    public void setPatientName(String patientName) {
        this.patientName = patientName;
    }

    public String getIdCard() {
        return idCard;
    }

    public void setIdCard(String idCard) {
        this.idCard = idCard;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getVaccineCode() {
        return vaccineCode;
    }

    public void setVaccineCode(String vaccineCode) {
        this.vaccineCode = vaccineCode;
    }

    public String getPaymentStatus() {
        return paymentStatus;
    }

    public void setPaymentStatus(String paymentStatus) {
        this.paymentStatus = paymentStatus;
    }

    public String getOrderStatus() {
        return orderStatus;
    }

    public void setOrderStatus(String orderStatus) {
        this.orderStatus = orderStatus;
    }

    public String getPaymentStartTime() {
        return paymentStartTime;
    }

    public void setPaymentStartTime(String paymentStartTime) {
        this.paymentStartTime = paymentStartTime;
    }

    public String getPaymentEndTime() {
        return paymentEndTime;
    }

    public void setPaymentEndTime(String paymentEndTime) {
        this.paymentEndTime = paymentEndTime;
    }

    public String getRefundStartTime() {
        return refundStartTime;
    }

    public void setRefundStartTime(String refundStartTime) {
        this.refundStartTime = refundStartTime;
    }

    public String getRefundEndTime() {
        return refundEndTime;
    }

    public void setRefundEndTime(String refundEndTime) {
        this.refundEndTime = refundEndTime;
    }

    public String getConfirmStartTime() {
        return confirmStartTime;
    }

    public void setConfirmStartTime(String confirmStartTime) {
        this.confirmStartTime = confirmStartTime;
    }

    public String getConfirmEndTime() {
        return confirmEndTime;
    }

    public void setConfirmEndTime(String confirmEndTime) {
        this.confirmEndTime = confirmEndTime;
    }

    public int getHospitalId() {
        return hospitalId;
    }

    public void setHospitalId(int hospitalId) {
        this.hospitalId = hospitalId;
    }

    public String getTransactionId() {
        return transactionId;
    }

    public void setTransactionId(String transactionId) {
        this.transactionId = transactionId;
    }

    public String getBillStartTime() {
        return billStartTime;
    }

    public void setBillStartTime(String billStartTime) {
        this.billStartTime = billStartTime;
    }

    public String getBillEndTime() {
        return billEndTime;
    }

    public void setBillEndTime(String billEndTime) {
        this.billEndTime = billEndTime;
    }
}
